Long Term Retention Backups - Remove Time Based Immutability
Remove time based immutability of an existing long term retention backup.
POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Sql/locations/{locationName}/longTermRetentionServers/{longTermRetentionServerName}/longTermRetentionDatabases/{longTermRetentionDatabaseName}/longTermRetentionBackups/{backupName}/removeTimeBasedImmutability?api-version=2025-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
backup
|
path | True |
string |
The backup name. |
|
location
|
path | True |
string |
The location of the database. |
|
long
|
path | True |
string |
The name of the database |
|
long
|
path | True |
string |
The name of the server |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| 202 Accepted |
Resource operation accepted. Headers Location: string |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Remove time based immutability of the long term retention backup.
Sample request
POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japaneast/longTermRetentionServers/testserver/longTermRetentionDatabases/testDatabase/longTermRetentionBackups/55555555-6666-7777-8888-999999999999;131637960820000000;Hot/removeTimeBasedImmutability?api-version=2025-01-01
Sample response
{
"name": "01234567-890a-bcde-f012-34567890abcd",
"type": "Microsoft.Sql/locations/longTermRetentionBackupOperationResults",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japaneast/longTermRetentionBackupOperationResults/01234567-890a-bcde-f012-34567890abcd",
"properties": {}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japaneast/longTermRetentionBackupAzureAsyncOperation/01234567-890a-bcde-f012-34567890abcd?api-version=2025-01-01
Definitions
| Name | Description |
|---|---|
|
Backup |
The BackupStorageAccessTier for the LTR backup |
|
Backup |
The storage account type used to store backups for this database. |
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Long |
A long term retention backup. |
|
Set |
The setting for whether LegalHold is enabled or disabled on the LTR backup. When LegalHold is enabled, the backup cannot be deleted until the LegalHold is removed. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
|
Time |
The setting for whether or not time-based immutability is enabled for the LTR backup. When time-based immutability is enabled and locked, the backup cannot be deleted until BackupExpirationTime. |
|
Time |
The time-based immutability mode. Only applicable if time-based immutability is enabled. |
BackupStorageAccessTier
The BackupStorageAccessTier for the LTR backup
| Value | Description |
|---|---|
| Hot |
Hot |
| Archive |
Archive |
BackupStorageRedundancy
The storage account type used to store backups for this database.
| Value | Description |
|---|---|
| Geo |
Geo |
| Local |
Local |
| Zone |
Zone |
| GeoZone |
GeoZone |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
LongTermRetentionBackup
A long term retention backup.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties.backupExpirationTime |
string (date-time) |
The time the long term retention backup will expire. |
| properties.backupStorageAccessTier |
The BackupStorageAccessTier for the LTR backup |
|
| properties.backupStorageRedundancy |
The storage redundancy type of the backup |
|
| properties.backupTime |
string (date-time) |
The time the backup was taken |
| properties.databaseDeletionTime |
string (date-time) |
The delete time of the database |
| properties.databaseName |
string |
The name of the database the backup belong to |
| properties.isBackupImmutable |
boolean |
The setting whether the LTR backup is immutable |
| properties.legalHoldImmutability |
The setting for whether LegalHold is enabled or disabled on the LTR backup. When LegalHold is enabled, the backup cannot be deleted until the LegalHold is removed. |
|
| properties.requestedBackupStorageRedundancy |
The storage redundancy type of the backup |
|
| properties.serverCreateTime |
string (date-time) |
The create time of the server. |
| properties.serverName |
string |
The server name that the backup database belong to. |
| properties.timeBasedImmutability |
The setting for whether or not time-based immutability is enabled for the LTR backup. When time-based immutability is enabled and locked, the backup cannot be deleted until BackupExpirationTime. |
|
| properties.timeBasedImmutabilityMode |
The time-based immutability mode. Only applicable if time-based immutability is enabled. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
SetLegalHoldImmutability
The setting for whether LegalHold is enabled or disabled on the LTR backup. When LegalHold is enabled, the backup cannot be deleted until the LegalHold is removed.
| Value | Description |
|---|---|
| Enabled |
Enabled |
| Disabled |
Disabled |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |
TimeBasedImmutability
The setting for whether or not time-based immutability is enabled for the LTR backup. When time-based immutability is enabled and locked, the backup cannot be deleted until BackupExpirationTime.
| Value | Description |
|---|---|
| Enabled |
Enabled |
| Disabled |
Disabled |
TimeBasedImmutabilityMode
The time-based immutability mode. Only applicable if time-based immutability is enabled.
| Value | Description |
|---|---|
| Locked |
Locked |
| Unlocked |
Unlocked |